Subject: bug#11315: 24.1.50; Emacs 24 Hangs [Related to gnutls and lisp_data_to_selection_data]

From: Chong Yidong <[email-masked]>
Date: Thu, 03 May 2012 15:59:28 +0800

[email-masked] (Emilio Jesús Gallego Arias) writes:

> Oh well, the hang happened again :(, using a patched emacs. The pattern
> seems the same: some kind of exception occurs, then the exception
> handler hangs in gnutls cleanup, who was spanned by the gnus mailreader.
>
> I have installed the gnutls debug libraries. Should I build emacs
> without optimization and try again?
>
> Some advice? I'm not an expert in Emacs debugging and right now I cannot
> spend a lot of time dwelling into the etc/DEBUG file.

I'll take a look, but in the meantime could you try with the 24.0.96
pretest at

 http://alpha.gnu.org/gnu/emacs/pretest/

?  Thanks.